/*
 * mysql_auth.conf - config file location and name
 * example: /usr/local/squid/etc/mysql_auth.conf
*/
#define CONFIG_FILE "/usr/local/squid/etc/mysql_auth.conf"

/*
 * pre-defined variables
 * variable and default value
*/

/*
 * hostname
*/
#define VAR_HOST_NAME "hostname"
#define DEF_HOST_NAME "localhost"

/*
 * username
*/
#define VAR_USER_NAME "user"
#define DEF_USER_NAME "squid"

/*
 * user's (above) password
*/
#define VAR_USER_PASSWORD "password"
#define DEF_USER_PASSWORD "squid"

/*
 * database name
*/
#define VAR_DATABASE_NAME "database"
#define DEF_DATABASE_NAME "mysql_auth"

/*
 * socket name
*/
#define VAR_MYSQLD_SOCKET "mysqld_socket"
#define DEF_MYSQLD_SOCKET "/tmp/mysqld.sock"

/*
 * table name
*/
#define VAR_TABLE_NAME "table"
#define DEF_TABLE_NAME "data"

/*
 * user column name
*/
#define VAR_USER_COLUMN "user_column"
#define DEF_USER_COLUMN "user"

/*
 * password column name
*/
#define VAR_PASSWORD_COLUMN "password_column"
#define DEF_PASSWORD_COLUMN "password"

/*
 * squidactive column name
*/
#define VAR_SQUIDACTIVE_COLUMN "squidactive_column"
#define DEF_SQUIDACTIVE_COLUMN "null"

/*
 * last successful auth's column
*/
#define VAR_SUCCESSFUL_AUTH_COLUMN "successful_auth_column"
#define DEF_SUCCESSFUL_AUTH_COLUMN "null"

/*
 * use encrypted password format
*/
#define VAR_ENCRYPT_PASSWORD_FORM "encrypt_password_form"
#define DEF_ENCRYPT_PASSWORD_FORM "no"

/*
 * give verbose error messages
*/
#define VAR_DISPLAY_ERRORS "display_errors"
#define DEF_DISPLAY_ERRORS "no"

/*
 * max length of line in config file
*/
#define MAXLENGTH 512

/*
 * max length of username or passwords
*/
#define MAX_STRLEN 64

/*
 * structure for variable options
*/
struct my_params {
	char *var_host_name;
	char *var_user_name;
	char *var_user_password;
	char *var_database_name;
	char *var_mysqld_socket;
	char *var_table_name;
	char *var_user_column;
	char *var_password_column;
	char *var_squidactive_column;
	char *var_successful_auth_column;
	char *var_encrypt_password_form;
	char *var_display_errors;
};
